Pierwsze urządzenie AIS

Czyli jaki?
Wpisuję też IP. Komunikacja z modułu trafia na ten broker. Ale mnie się wydaje, że mój AIS w związku z włączeniem integracji z Suplą nasłuchuje brokera na serwerze Supli…

Wszystko jest w dokumentacji…

Może nasłuchiwać kilku tematów…

Tematów tak, ale chyba nie dwóch różnych brokerów?

Ustawiłem w gniazdku brokera Supli i urządzenie zostało dodane.

1 polubienie

Oj, coś to nie logiczne… nie mając brokera Supli lokalnie a jedynie ten z serwera chmurowego nie dodam gniazdka AIS do bramki AIS?

@Goral64 W opisach naszych aukcji są podane linki do dokumentacji, poniżej info z aukcji z gniazdkami:

Screenshot from 2021-04-23 17-04-49

:slight_smile:

Wszystko chyba wina mojego niezrozumienia ustawienia integracji Supli z AIS i ustawienia MQTT :frowning:
Do teraz miałam ustawioną kiepską integrację, gdyż miałam włączone i skonfigurowane AIS SUPLA MQTT ale to nie dodawało mi żadnych urządzeń z Supli. Więc zamiast w integracji MQTT dodać bridge do brokera, z którego korzysta Supla to ja przełączyłem MQTT na broker Supli :frowning:
Teraz dopiero doczytałem o tym bridge do ustawienia w pliku mosquitto.conf i ruszyło.
Mam teraz i urządzenia Supli i gniazdko AIS.
Dobrze, że teraz wyszła moja głupota niż miałbym klnąć w przyszłym tygodniu przy konfiguracji bramki DEV3 :smiley:

2 polubienia

Twój przykład potwierdza, że koniecznie trzeba zaliczyć lekturę obowiązkową z dokumentacji projektu AIS.
Fajnie, że starasz się zrozumieć jak to wszystko działa. Zrozumienie, a nie odtwarzanie schematów jest kluczem do pełnego wykorzystania możliwości tego systemu.
Należy mieć na uwadze, że to maraton a nie sprint.

1 polubienie

Jak zaktualizować to gniazdko do najnowszej wersji tasmota 9.5?


Bo adres który jest wpisany domyślnie po wyjęciu z pudełka chyba nie działa bo nawet w przeglądarce wyskakuje że nie istnieje a w konsoli gniazdka

11:38:24.453 HTP: Serwer Web zatrzymany
11:38:24.456 UPL: http://ai-speaker.com/ota/dom/public_device.bin.gz 9.4.0(tasmota)
11:38:25.247 HTP: Aktywny serwer Web dom-3c9 z adresem IP 192.168.1.x
11:38:26.496 HTP: Serwer Web zatrzymany
11:38:27.247 HTP: Aktywny serwer Web dom-3c9 z adresem IP 192.168.1.x
11:38:28.499 MQT: stat/dom-3c9/UPGRADE = {"Upgrade":"Failed File Not Found (404)"}
11:38:33.957 WIF: Sprawdzanie połączenia...

Więc jaki powinienem tam adres wprowadzić bo na waszym ota jest najnowsza wersja tasmoty

To się zmieniło jakiś czas temu, teraz pobierasz z githuba
https://powiedz.co/ota/
i to chyba aktualnie nowy link:

https://github.com/sviete/AIS-Tasmota/releases/download/18/tasmota-PL.bin.gz

Najbezpieczniej pobierać pliki na komputer i aktualizować lokalnie.

Poczekam dla pewności na oficjalne stanowisko @jolki oraz czy da się zmienić nazwę (hosta) pod jaką wyświetla się gniazdko na ruterze na prostszą z dom-id bramki na inną oraz gdzie zapisuje się kopia konfiguracji?

A ja właśnie wgrywam GUI Generic Supli :smiley:

Niestety, ankietowy S26 po wyjęciu z pudełka, podłączeniu do sieci i wejściu na stronę 192.168.4.1 ma problem z połączeniem się z siecią WiFi :frowning:
Dane sieci weryfikowane po raz pierdyliardowy, a gniazdko radośnie komunikuje, że

A w sieci Wi-Fi masz “repeatery” albo sieć Wi-Fi na 5GHz z taką samą nazwą jak na 2,4GHz bo to najczęstsze powody takich problemów.

Mało tego, mam dwie sieci, których nazwy różnią się tylko wielkością liter.
I żadne z ponad 50 urządzeń najróżniejszego typu nie miało z tym problemu. Nawet te same 2 gniazdka AIS S26 zakupione wcześniej na Allegro.

A czym się różni tasmota / supla jeśli chodzi o funkcje oraz co prezentuje ta encja “status” w procentach ?

Tym, że nie mam statusu jakości połączenia w AIS, ale mogę sterować gniazdkiem zarówno w Supli jak i w AIS :slight_smile:

Dziś do bramki DEV3 podłączyłem gniazdko AIS S26 (z ankiety :star_struck:) za pomocą kreatora z http://IP_DEV3/config/ais_dom_devices/dashboard - nie było problemów.

1 polubienie

Gniazdko dodane bezproblemowo niestety w dzienniku dużo błędów się pojawia. Nie bardzo wiem w czym problem.

Logger: homeassistant
Source: components/mqtt/__init__.py:373
First occurred: 5:11:37 (1 occurrences)
Last logged: 5:11:37

Error doing job: Task exception was never retrieved
Traceback (most recent call last):
  File "/data/data/pl.sviete.dom/files/usr/lib/python3.9/site-packages/homeassistant/util/logging.py", line 141, in async_wrapper
    await async_func(*args)
  File "/data/data/pl.sviete.dom/files/usr/lib/python3.9/site-packages/homeassistant/components/mqtt/discovery.py", line 316, in async_integration_message_received
    result = await hass.config_entries.flow.async_init(
  File "/data/data/pl.sviete.dom/files/usr/lib/python3.9/site-packages/homeassistant/data_entry_flow.py", line 153, in async_init
    flow, result = await task
  File "/data/data/pl.sviete.dom/files/usr/lib/python3.9/site-packages/homeassistant/data_entry_flow.py", line 179, in _async_init
    result = await self._async_handle_step(flow, flow.init_step, data, init_done)
  File "/data/data/pl.sviete.dom/files/usr/lib/python3.9/site-packages/homeassistant/data_entry_flow.py", line 260, in _async_handle_step
    result: FlowResult = await getattr(flow, method)(user_input)
  File "/data/data/pl.sviete.dom/files/usr/lib/python3.9/site-packages/homeassistant/components/tasmota/config_flow.py", line 33, in async_step_mqtt
    prefix = cast(ReceiveMessage, discovery_info).subscribed_topic
AttributeError: 'dict' object has no attribute 'subscribed_topic'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/data/data/pl.sviete.dom/files/usr/lib/python3.9/site-packages/homeassistant/util/logging.py", line 143, in async_wrapper
    log_exception(format_err, *args)
  File "/data/data/pl.sviete.dom/files/usr/lib/python3.9/site-packages/homeassistant/util/logging.py", line 105, in log_exception
    friendly_msg = format_err(*args)
  File "/data/data/pl.sviete.dom/files/usr/lib/python3.9/site-packages/homeassistant/components/mqtt/__init__.py", line 373, in <lambda>
    f"Exception in {msg_callback.__name__} when handling msg on "
AttributeError: 'functools.partial' object has no attribute '__name__'